/*
 * Copyright [2007] [University Corporation for Advanced Internet Development, Inc.]
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.usc.middleware.shibboleth.idp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import edu.internet2.middleware.shibboleth.common.config.BaseSpringNamespaceHandler;

/**
 * Spring namespace handler for USC Status plugins.
 */
public class StatusNamespaceHandler extends BaseSpringNamespaceHandler {

    private Logger log = LoggerFactory.getLogger(StatusNamespaceHandler.class);

    /** Namespace URI. */
    public static final String NAMESPACE = "urn:mace:usc.edu:middleware:shibboleth:idp:status";

    /** {@inheritDoc} */
    public void init() {
        log.error("initializing USC status namespace handler");
        registerBeanDefinitionParser(StatusHandlerBeanDefinitionParser.SCHEMA_TYPE,
                new StatusHandlerBeanDefinitionParser());
    }

}
